curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "268b30d2-e895-42b9-8a38-2451a87e19b2",
"creditorId": "a7fcf07c-74f2-40d9-8ea6-e67b07b14ca4",
"isCompany": false,
"referenceId": "123",
"createdAt": "2024-04-19T07:30:21.070Z",
"users": [
{
"contact": true,
"lang": "da",
"relation": "debtor",
"details": {
"name": "Hans Hansen",
"email": "example@debbie.dk",
"phone": {
"locale": "45",
"number": "12345678"
},
"address": {
"address": "Applebys Plads 7, 1.",
"coAddress": null,
"city": "København K",
"zipcode": "1411",
"country": "Danmark"
}
}
}
],
"cases": [
{
"caseId": "268b30d2-e895-42b9-8a38-2451a87e19b2",
"id": 123456,
"status": "VERIFIED",
"endReason": null,
"statusTime": "2024-04-19T07:30:21.070Z",
"createdAt": "2024-04-19T07:30:21.070Z"
}
]
}Get customer by id
Get a customer by customer id, including the users and cases related to the customer.
Required scope: read:customers
Authorizations
Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.
Path Parameters
Id of your debt collection partner's tenant. You can find it on the API page in the creditor portal.
Id of the customer
Response
Successful operation
Id of creditor
Customer created at
Id of the customer
Id of the tenant
Reference id of the customer. Typically id of the customer, client, patient or similar.
Whether the customer is a company.
List of users related to this customer
Show child attributes
Show child attributes
List of cases related to this customer
Show child attributes
Show child attributes